<?php
/**
 * @package    Distributed Multi-media Database
 * @subpackage Components
 * @license    GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the HelloWorld Component
 *
 * @package    HelloWorld
 */

class dmmdbViewdmmdb extends JView
{
     function display($tpl = null)
     {
        $model = &$this->getModel();
        $url = $model->getServerUrl();
        $this->assignRef( 'url', $url );
        $channels = $model->getChannels();
        $this->assignRef( 'channels', $channels );
        $width = $model->getWidth();
        $this->assignRef( 'width', $width );
        $nbitems = $model->getNbitems();
        $this->assignRef( 'nbitems', $nbitems );
        $modal = $model->getModal();
        $this->assignRef( 'modal', $modal );
        $minimal_aspect = $model->getMinimalAspect();
        $this->assignRef( 'minimal_aspect', $minimal_aspect );
        $nbmaxchannels = $model->getNbMaxChannels();
        $this->assignRef( 'nbmaxchannels', $nbmaxchannels );
        $comments = $model->getComments();
        $this->assignRef( 'comments', $comments );
        $search = $model->getSearch();
        $this->assignRef( 'search', $search );
        $latest_videos = $model->getLatestVideos();
        $this->assignRef( 'latest_videos', $latest_videos );
        $most_viewed = $model->getMostViewed();
        $this->assignRef( 'most_viewed', $most_viewed );
        $favorites = $model->getFavorites();
        $this->assignRef( 'favorites', $favorites );
        $categories = $model->getCategories();
        $this->assignRef( 'categories', $categories );
        $same_author = $model->getSameAuthor();
        $this->assignRef( 'same_author', $same_author );
        $same_category = $model->getSameCategory();
        $this->assignRef( 'same_category', $same_category );
        $same_keywords = $model->getSameKeywords();
        $this->assignRef( 'same_keywords', $same_keywords );
        $playlists = $model->getPlaylists();
        $this->assignRef( 'playlists', $playlists );
        $friend_channels = $model->getFriendChannels();
        $this->assignRef( 'friend_channels', $friend_channels );
        $latest_on_friend_channels = $model->getLatestOnFriendChannels();
        $this->assignRef( 'latest_on_friend_channels', $latest_on_friend_channels );
        $text_color = $model->getTextColor();
        $this->assignRef( 'text_color', $text_color );
        $background_color = $model->getBackgroundColor();
        $this->assignRef( 'background_color', $background_color );
        $tip_text_color = $model->getTipTextColor();
        $this->assignRef( 'tip_text_color', $tip_text_color );
        $tip_bg_color = $model->getTipBgColor();
        $this->assignRef( 'tip_bg_color', $tip_bg_color );
        $link_color = $model->getLinkColor();
        $this->assignRef( 'link_color', $link_color );

	parent::display($tpl);
     }
}
